Budgets
List spend budgets
GET /v1/budgets · SDK listBudgets · CLI deployments budget list
GET
Requires budgets:read.
platformBearerheader
AuthorizationBearer <token>Platform bearer credential accepted as an opaque API key or JWT.
cursor?stringLength
1 <= length <= 4096limit?integerRange
1 <= value <= 100x-deployments-organization*stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$ListBudgetsResponse
application/json- response
items*array<>nextCursor?|nullcurl -X GET "https://example.com/v1/budgets" \ -H "x-deployments-organization: string"{ "items": [ { "amountUsdMicros": 1, "archivedAt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z", "environmentId": "string", "id": "string", "name": "string", "organizationId": "string", "period": "daily", "projectId": "string", "scope": "organization", "status": "active", "thresholds": [ 1 ], "updatedAt": "2019-08-24T14:15:22Z", "version": 1, "workspaceId": "string" } ], "nextCursor": "string"}